%global pkg_version %(echo %version | tr . _)
Name:          smack
Version:       3.2.2
%define subrel 1
Release:       %mkrel 4
Summary:       Open Source XMPP (Jabber) client library
Group:         Development/Java
License:       ASL 2.0
URL:           http://www.igniterealtime.org/projects/smack/index.jsp
# http://svn.igniterealtime.org/svn/repos/smack/tags/
Source0:       http://download.igniterealtime.org/smack/%{name}_src_%{pkg_version}.tar.gz
# originally taken from http://repo1.maven.org/maven2/org/igniterealtime/smack/
# change version
# add xpp3
Source1:       %{name}-%{version}.pom
Source2:       %{name}x-%{version}.pom
Source3:       %{name}x-debug-%{version}.pom
# unavailable test resources
# wget -O smack-3.2.2-test-config-test-case.xml http://svn.igniterealtime.org/svn/repos/smack/tags/smack_3_2_2/test/config/test-case.xml
Source4:       %{name}-%{version}-test-config-test-case.xml
# use system libraries
# disable jzlib and xpp3 repackage
# disable smack jingle extension. cause: unavailable deps

# remove classpath from manifest files
# fix javadoc link
# fix build/javadoc/tests classpath
Patch0:        %{name}-%{version}-build.patch

Patch1:        %{name}-3.2.2-CVE-2014-5075.patch
Patch2:        %{name}-3.2.2-CVE-2014-0363.patch

BuildRequires: java-javadoc
BuildRequires: maven-local

BuildRequires: ant
BuildRequires: ant-contrib
BuildRequires: ant-junit
BuildRequires: aqute-bnd
BuildRequires: junit
BuildRequires: jzlib
BuildRequires: xmlunit
BuildRequires: xpp3
BuildRequires: mvn(org.sonatype.oss:oss-parent)

BuildArch:     noarch

%description
Smack is an Open Source XMPP (Jabber) client library for instant
messaging and presence. A pure Java library, it can be embedded
into your applications to create anything from a full XMPP client
to simple XMPP integrations such as sending notification messages and
presence-enabling devices.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}_src_%{pkg_version}
# cleanup
find . -name "*.class" -print -delete
find . -name "*.dll" -print -delete
find . -name "*.jar" -print  -delete

# remove prebuilt documentation
rm -rf javadoc/* documentation/*

%patch0 -p0
%patch1 -p1
%patch2 -p1

mkdir -p test/config
cp -p %{SOURCE4} test/config/test-case.xml
# tests problem:
# caused by: java.net.ConnectException: Connection refused
# remove this file unavailable class, in this release isn't available. error: cannot find symbol
# [javac] import org.jivesoftware.smackx.bytestreams.socks5.Socks5PacketUtils;
rm -r test/org/jivesoftware/smackx/bytestreams/socks5/Socks5ByteStreamTest.java
# these tests fails
rm -r test/org/jivesoftware/smack/ChatTest.java \
 test/org/jivesoftware/smack/FloodTest.java \
 test/org/jivesoftware/smack/IQTest.java \
 test/org/jivesoftware/smack/LoginTest.java \
 test/org/jivesoftware/smack/MessageTest.java \
 test/org/jivesoftware/smack/PacketReaderTest.java \
 test/org/jivesoftware/smack/PresenceTest.java \
 test/org/jivesoftware/smack/ReconnectionTest.java \
 test/org/jivesoftware/smack/RosterListenerTest.java \
 test/org/jivesoftware/smack/RosterSmackTest.java \
 test/org/jivesoftware/smack/RosterInitializedBeforeConnectTest.java \
 test/org/jivesoftware/smack/packet/PrivacyTest.java

%build

%ant -f build/build.xml jar javadoc test

%install

%mvn_artifact %{SOURCE1} target/%{name}.jar
%mvn_artifact %{SOURCE2} target/%{name}x.jar
%mvn_artifact %{SOURCE3} target/%{name}x-debug.jar
%mvn_alias : jivesoftware:
%mvn_install -J target/javadoc

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.html changelog.html

%files javadoc -f .mfiles-javadoc
%doc README.html



%changelog
* Wed Dec 24 2014 luigiwalser <luigiwalser> 3.2.2-4.1.mga4
+ Revision: 805492
- add patches from fedora to fix CVE-2014-5075 and CVE-2014-0363
- sync with fedora 20

* Sat Oct 19 2013 umeabot <umeabot> 3.2.2-4.mga4
+ Revision: 529712
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dmorgan <dmorgan> 3.2.2-3.mga4
+ Revision: 452989
- imported package smack

